Uses of Class
org.apache.juneau.bean.openapi3.OpenApi
Packages that use OpenApi
Package
Description
Swagger Data Transfer Objects
OpenAPI UI Generator
REST Server API
API-docs mixin pack — composable
@Rest(mixins=...) resources that publish Swagger v2
and OpenAPI 3.1 spec endpoints with Swagger-UI and Redoc HTML mounts.Server-side OpenAPI 3.1 emission — the
OpenApiProvider SPI
and the BasicOpenApiProvider default implementation that
walks an RestContext and produces an
OpenApi document.-
Uses of OpenApi in org.apache.juneau.bean.openapi3
Fields in org.apache.juneau.bean.openapi3 declared as OpenApiModifier and TypeFieldDescriptionstatic final OpenApiOpenApi.NULLRepresents a null OpenAPI documentMethods in org.apache.juneau.bean.openapi3 that return OpenApiModifier and TypeMethodDescriptionAdds a path to this OpenAPI document.OpenApi.addSecurity(Collection<SecurityRequirement> values) Bean property fluent setter:security .OpenApi.addSecurity(SecurityRequirement... values) Bean property fluent setter:security .OpenApi.addServers(Collection<Server> values) Bean property fluent setter:servers .OpenApi.addServers(Server... values) Bean property fluent setter:servers .OpenApi.addTags(Collection<Tag> values) Bean property appender:tags .Bean property appender:tags .OpenApi.copy()Make a deep copy of this object.static final OpenApiOpenApiBuilder.openApi()Creates an emptyOpenApielement.static final OpenApiOpenApi.setComponents(Components value) Sets the components object.OpenApi.setExternalDocs(ExternalDocumentation value) Sets the external documentation.Sets the info object.OpenApi.setOpenapi(String value) Sets the OpenAPI version.Sets the paths map.OpenApi.setSecurity(List<SecurityRequirement> value) Sets the security requirements list.OpenApi.setSecurity(SecurityRequirement... value) Sets the security requirements list.OpenApi.setServers(List<Server> value) Sets the servers list.OpenApi.setServers(Server... value) Sets the servers list.Sets the tags list.Bean property setter:tags .OpenApi.strict()Methods in org.apache.juneau.bean.openapi3 with parameters of type OpenApiModifier and TypeMethodDescriptionHeaderInfo.resolveRefs(OpenApi openApi, Deque<String> refStack, int maxDepth) Resolves any"$ref" attributes in this element.Items.resolveRefs(OpenApi openApi, Deque<String> refStack, int maxDepth) Resolves any"$ref" attributes in this element.SchemaInfo.resolveRefs(OpenApi openApi, Deque<String> refStack, int maxDepth) Resolves any"$ref" attributes in this element.Constructors in org.apache.juneau.bean.openapi3 with parameters of type OpenApi -
Uses of OpenApi in org.apache.juneau.bean.openapi3.ui
Methods in org.apache.juneau.bean.openapi3.ui with parameters of type OpenApiModifier and TypeMethodDescriptionOpenApiUI.swap(MarshallingSession marshallingSession, OpenApi openApi) RedocUI.swap(MarshallingSession session, OpenApi openApi) -
Uses of OpenApi in org.apache.juneau.rest.server
Fields in org.apache.juneau.rest.server with type parameters of type OpenApiModifier and TypeFieldDescriptionprotected final ConcurrentHashMap<Locale,OpenApi> RestContext.openApiCacheMethods in org.apache.juneau.rest.server that return types with arguments of type OpenApiModifier and TypeMethodDescriptionRestContext.getOpenApi(Locale locale) Returns the OpenAPI 3.1 document for the REST resource.RestRequest.getOpenApi()Returns the localized OpenAPI 3.1 document associated with the resource. -
Uses of OpenApi in org.apache.juneau.rest.server.docs
Methods in org.apache.juneau.rest.server.docs that return OpenApiModifier and TypeMethodDescriptionOpenApiMixin.getOpenApi(RestRequest req) [GET /openapi] — emit the OpenAPI 3.1 document for this resource.RedocMixin.getRedoc(RestRequest req) [GET /redoc] — render the Redoc HTML view (or the spec, depending onAccept). -
Uses of OpenApi in org.apache.juneau.rest.server.openapi
Methods in org.apache.juneau.rest.server.openapi that return OpenApiModifier and TypeMethodDescriptionBasicOpenApiProvider.getOpenApi(RestContext context, Locale locale) Returns the OpenAPI 3.1 document associated with the specified context of aRest-annotated class.BasicOpenApiProviderSession.getOpenApi()Generates the OpenAPI 3.1 document.OpenApiProvider.getOpenApi(RestContext context, Locale locale) Returns the OpenAPI 3.1 document associated with the specifiedRest-annotated class.